Bug 887951

Summary: All input method framework except ibus can not autostart via imsettings in gnome-shell
Product: [Fedora] Fedora Reporter: Liang Suilong <liangsuilong>
Component: imsettingsAssignee: Akira TAGOH <tagoh>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: i18n-bugs, lovenemesis, mclasen, mfabian, panemade, pwu, tagoh, wengxt
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=868458
https://bugzilla.redhat.com/show_bug.cgi?id=917130
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-11 19:37:04 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Liang Suilong 2012-12-17 11:55:25 EST
Description of problem:
GNOME 3.6 integrated ibus as default input method. But imsettings in Fedora does not start automatically after you log in gnome-shell session. It means that you can not use other input method except ibus by default when you are using gnome-shell.  

Version-Release number of selected component (if applicable):
imsettings-1.5.0-2.fc18.x86_64

How reproducible:
1. Install fcitx, scim or gcin. 
2. Turn off ibus integratiion via gsettings
3. Set other input method like fcitx or scim as default via imsettings-switch. 
4. Log out or reboot the machine
5. Log in
6. Can not swtich the status of input method, like fcitx and scim. 

Steps to Reproduce:
1. yum install fcitx
2. gsettings set org.gnome.settings-daemon.plugins.keyboard active false
3. imsettings-swtich fcitx
4. service gdm restart or reboot the machine
  
Actual results:
ps aux | grep fcitx
Could not find any process of fcitx. 

And,
imsettings-switch fcitx or imsettings-swtich -n -q -x
Fcitx comes back.

But users need to run imsettings-switch command once in every loginm in order to enable their input method. I think it is not user-friendly. 

Expected results:
I find out /etc/xdg/autostart/imsettings-start.desktop has value AutostartCondition=GNOME3 if-session gnome-fallback. I think it is means that imsettings does autostart except gnome-shell session. 

In my opinon, whether imsettings-switch autostart or not, should not be based on gnome session. When users launch in other DE or gnome-fallback mode, imsettings-switch should start automatically. When users launch in gnome-shell session, xdg autostart configure file should detect the value of org.gnome.settings-daemon.plugins.keyboard active in gsettings. If the value is true, imsettings-swtich should not autostart. If the value is false, imsettings should be autostart

Additional info:
Comment 1 Liang Suilong 2012-12-18 12:13:47 EST
The problem could be 100% represented. 

I wish it would be fixed as soon as possible.
Comment 2 Fedora Update System 2012-12-19 07:09:52 EST
imsettings-1.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/imsettings-1.5.1-1.fc18
Comment 3 Fedora Update System 2012-12-19 17:41:54 EST
Package imsettings-1.5.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing imsettings-1.5.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20678/imsettings-1.5.1-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 20:26:01 EST
Package imsettings-1.5.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing imsettings-1.5.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20678/imsettings-1.5.1-2.fc18
then log in and leave karma (feedback).
Comment 5 Tommy He 2012-12-24 00:29:02 EST
I can confirms that this issue has been fixed by imsettings-1.5.1.

Now the input method selected by imsettings can be properly triggered even after re-login.

Karma added.
Comment 6 Fedora Update System 2013-01-11 19:37:06 EST
imsettings-1.5.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Weng Xuetian 2013-01-13 22:24:18 EST
Same problem is still existing in fedora 17's imsettings. Maybe should fix that too?
Comment 8 Weng Xuetian 2013-01-13 23:03:02 EST
Ah, sorry, some people gives me wrong illusion.. ignore my last comment.